	 <style type="text/css">

</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from 
            egresos where estado_egreso!='Anulado'") or die(mysql_error());
	

         $sql2 = mysql_query("select * from 
            cuentas") or die(mysql_error());
	?>
	
 
  
    <div class="container-fluid">
      <!-- Breadcrumbs-->
   <br>   
   <?php include_once("../barra_lateral.php")?>  

       <div class="row">
      <div class="col-md-12">
          <h3 class="text-danger"><i class="fa fa-w fa-usd"></i> Registro de egreso</h3>
        <a class="btn btn-sm btn-warning mb-2" href="javascript:void(0)" onClick="modalEgreso()"><i class="fa fa-plus"></i> Registrar un nuevo egreso a caja</a>
        <script type="text/javascript">
          function modalEgreso(){
            $("#modalEgreso").modal('show');
    
                
             $("#frm").trigger('reset'); 
                setTimeout(function(){
                $("#fecha").focus();
                $("#fecha").select();
                $("#fecha").val(hoySql);
                $("#monto").prop("disabled",false);
                 $("#cuenta").prop("disabled",false);

            },500)
            
        }
        </script>
        <div class="table-responsive">
          <table class="table table-sm table-borderred">
            <thead>
              <th># egreso</th>
              <th>Fecha</th>
              <th>Monto</th>
             
             <th>Concepto</th>
             <th>Cuenta</th>
             <th>Realizado por</th>
              <th>Opciones</th>
            </thead>
            <tbody>
                                                        <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_egreso"]?></td>
                <td><?php echo fecha($r["fecha"])?></td>

              <td><?php echo decimal($r["monto"])?></td>
              <td><?php echo $r["concepto"]?></td>
              <td><?php echo $r["cuenta"]?></td>
              <td><?php echo $r["usuario"]?></td>
               <td><a class="btn btn-sm btn-warning mb-2" href="#modalEgreso" data-toggle="modal" onClick='ver(<?php echo $r["id_egreso"]?>)'><i class="fa fa-eye"></i></a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalEgreso" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-usd"></i> Registro de egresos</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id_egreso" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Fecha</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha" name="fecha" value="">
          </div>
        </div>
			  
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Monto</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="monto" name="monto" value="">
          </div>
        </div>

        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Concepto</strong></label>
          <div class="col-md-9">
            <input autocomplete="off" type="text"  id="concepto" name="concepto"  class="form-control mt-2">
          </div>
        </div>
         <br>
         <div class="row">
                        <div class="col-md-3">
                            <b>Cuenta</b>
                        </div>
                        <div class="col-md-9">
                            <select onChange="get_cuenta(this.value)" class="form-control  mb-2" id="cuenta">

                                <option value="" selected disabled>Sel. cuenta</option>
                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['id_cuenta'] ?>">(<?php echo $r['numero_cuenta'] ?>)<?php echo $r['descripcion'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_egreso()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
var id_egreso="";
var numero_cuenta="";
var id_cuenta="";
function ver(id){

    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#fecha").focus();
        $("#fecha").select();
        $("#fecha").val(hoySql);
    },1000);

            var sql="select * from egresos where id_egreso='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_egreso= rs.data[i].id_egreso;             
                    $("#concepto").val(rs.data[i].concepto);
                    $("#monto").val(rs.data[i].monto);
                    $("#fecha").val(rs.data[i].fecha);
                   
                    $("#id_egreso").val(rs.data[i].id_egreso);
                    $("#cuenta option[value='"+rs.data[i].cuenta+"']").prop('selected', true);
                    $("#monto").prop("disabled",true);
                     $("#cuenta").prop("disabled",true);

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_egreso(){
     if(!confirm("Seguro(a) que desea registrar este egreso?")){return;}                   
    
     var monto = $("#monto").val();
     var concepto = $("#concepto").val();
     var fecha = $("#fecha").val();
     
     



     if(monto=="" || monto<=0 || concepto=="" || fecha==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_egreso==""){
            sql="INSERT INTO egresos set ";
            sql+="fecha='"+fecha+"'";
            sql+=", concepto='"+concepto+"'";
            sql+=", monto='"+monto+"'";
            sql+=", usuario='"+myUser+"'"; 
            sql+=", cuenta='"+numero_cuenta+"'"; 
           

        }else{
            sql="UPDATE egresos set";
            sql+=" fecha='"+fecha+"'";
            sql+=", concepto='"+concepto+"'";
            //sql+=", monto='"+monto+"'";
            sql+=", usuario='"+myUser+"'";
            //sql+=", caja='"+nombre_caja+"'"; 
            sql+=" WHERE id_egreso='"+id_egreso+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalEgreso").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
       
        dstry();
        id_egreso="";
         if(id_egreso==""){
             updateCuenta(id_cuenta,monto)
         }
      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_egreso==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from egresos where id_egreso='"+id_egreso+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalEgreso").modal('hide');
        alert("Registro eliminado con exito");
        
        dstry();
        id_egreso="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}

function updateCuenta(cuenta,monto){
    
   sql="update cuentas set balance=balance - '"+monto+"', total_egreso=total_egreso+'"+monto+"' where id_cuenta='"+cuenta+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
        noti("success","Cuenta "+numero_cuenta+" actualizada","Ok");
        setTimeout(function(){window.location.reload()},1000)
    }) 
}
 
 
 function get_cuenta(cuenta){
            var sql="select * from cuentas where id_cuenta='"+cuenta+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    numero_cuenta= rs.data[i].numero_cuenta;
                    id_cuenta= rs.data[i].id_cuenta;
                }
                $("#loading").modal('hide');
            })
        }

 
 
 $(".table").DataTable();
         
        </script>

